Subject: Re: bug#17555: 24.4.50; 'mark-paragraph' does not allow extending the region backwards

From: Juri Linkov <[email-masked]>
Date: Wed, 21 Aug 2019 01:05:01 +0300

>> mark-paragraph could be fixed for consistency, but the problem is that
>> there are more commands that should be fixed then as well, e.g. mark-defun,
>> mark-page...
>
> I may be missing something, but I don't see the downside of making
> them all consistent.  I.e., I don't think such a change would break
> anyone's workflow.

I agree all they could be consistent.  But what if some users prefer
the old way?  Maybe add a new customizable option that would affect
the behavior of all these commands (extend/don't extend the region backwards)?